diff --git a/src/providers/ldap/sdap_child_helpers.c b/src/providers/ldap/sdap_child_helpers.c
index 9aaff78..2a0730e 100644
--- a/src/providers/ldap/sdap_child_helpers.c
+++ b/src/providers/ldap/sdap_child_helpers.c
@@ -56,15 +56,15 @@ static void sdap_close_fd(int *fd)
     int ret;
 
     if (*fd == -1) {
-        DEBUG(6, ("fd already closed\n"));
+        DEBUG(6, "fd already closed\n");
         return;
     }
 
     ret = close(*fd);
     if (ret) {
         ret = errno;
-        DEBUG(2, ("Closing fd %d, return error %d (%s)\n",
-                  *fd, ret, strerror(ret)));
+        DEBUG(2, "Closing fd %d, return error %d (%s)\n",
+                  *fd, ret, strerror(ret));
     }
 
     *fd = -1;
@@ -91,13 +91,13 @@ static errno_t sdap_fork_child(struct tevent_context *ev,
     ret = pipe(pipefd_from_child);
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("pipe failed [%d][%s].\n", err, strerror(err)));
+        DEBUG(1, "pipe failed [%d][%s].\n", err, strerror(err));
         return err;
     }
     ret = pipe(pipefd_to_child);
     if (ret == -1) {
         err = errno;
-        DEBUG(1, ("pipe failed [%d][%s].\n", err, strerror(err)));
+        DEBUG(1, "pipe failed [%d][%s].\n", err, strerror(err));
         return err;
     }
 
@@ -107,8 +107,8 @@ static errno_t sdap_fork_child(struct tevent_context *ev,
         err = exec_child(child,
                          pipefd_to_child, pipefd_from_child,
                          LDAP_CHILD, ldap_child_debug_fd);
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not exec LDAP child: [%d][%s].\n",
-                                    err, strerror(err)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not exec LDAP child: [%d][%s].\n",
+                                    err, strerror(err));
         return err;
     } else if (pid > 0) { /* parent */
         child->pid = pid;
@@ -126,7 +126,7 @@ static errno_t sdap_fork_child(struct tevent_context *ev,
 
     } else { /* error */
         err = errno;
-        DEBUG(1, ("fork failed [%d][%s].\n", err, strerror(err)));
+        DEBUG(1, "fork failed [%d][%s].\n", err, strerror(err));
         return err;
     }
 
@@ -145,7 +145,7 @@ static errno_t create_tgt_req_send_buffer(TALLOC_CTX *mem_ctx,
 
     buf = talloc(mem_ctx, struct io_buffer);
     if (buf == NULL) {
-        DEBUG(1, ("talloc failed.\n"));
+        DEBUG(1, "talloc failed.\n");
         return ENOMEM;
     }
 
@@ -160,11 +160,11 @@ static errno_t create_tgt_req_send_buffer(TALLOC_CTX *mem_ctx,
         buf->size += strlen(keytab_name);
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("buffer size: %zu\n", buf->size));
+    DEBUG(SSSDBG_TRACE_FUNC, "buffer size: %zu\n", buf->size);
 
     buf->data = talloc_size(buf, buf->size);
     if (buf->data == NULL) {
-        DEBUG(1, ("talloc_size failed.\n"));
+        DEBUG(1, "talloc_size failed.\n");
         talloc_free(buf);
         return ENOMEM;
     }
@@ -227,7 +227,7 @@ static int parse_child_response(TALLOC_CTX *mem_ctx,
 
     ccn = talloc_size(mem_ctx, sizeof(char) * (len + 1));
     if (ccn == NULL) {
-        DEBUG(1, ("talloc_size failed.\n"));
+        DEBUG(1, "talloc_size failed.\n");
         return ENOMEM;
     }
     safealign_memcpy(ccn, buf+p, sizeof(char) * len, &p);
@@ -296,19 +296,19 @@ struct tevent_req *sdap_get_tgt_send(TALLOC_CTX *mem_ctx,
                                      realm_str, princ_str, keytab_name, lifetime,
                                      &buf);
     if (ret != EOK) {
-        DEBUG(1, ("create_tgt_req_send_buffer failed.\n"));
+        DEBUG(1, "create_tgt_req_send_buffer failed.\n");
         goto fail;
     }
 
     ret = sdap_fork_child(state->ev, state->child);
     if (ret != EOK) {
-        DEBUG(1, ("sdap_fork_child failed.\n"));
+        DEBUG(1, "sdap_fork_child failed.\n");
         goto fail;
     }
 
     ret = set_tgt_child_timeout(req, ev, timeout);
     if (ret != EOK) {
-        DEBUG(1, ("activate_child_timeout_handler failed.\n"));
+        DEBUG(1, "activate_child_timeout_handler failed.\n");
         goto fail;
     }
 
@@ -394,11 +394,11 @@ int sdap_get_tgt_recv(struct tevent_req *req,
     ret = parse_child_response(mem_ctx, state->buf, state->len,
                                &res, &krberr, &ccn, &expire_time);
     if (ret != EOK) {
-        DEBUG(1, ("Cannot parse child response: [%d][%s]\n", ret, strerror(ret)));
+        DEBUG(1, "Cannot parse child response: [%d][%s]\n", ret, strerror(ret));
         return ret;
     }
 
-    DEBUG(6, ("Child responded: %d [%s], expired on [%ld]\n", res, ccn, (long)expire_time));
+    DEBUG(6, "Child responded: %d [%s], expired on [%ld]\n", res, ccn, (long)expire_time);
     *result = res;
     *kerr = krberr;
     *ccname = ccn;
@@ -417,11 +417,11 @@ static void get_tgt_timeout_handler(struct tevent_context *ev,
                                             struct sdap_get_tgt_state);
     int ret;
 
-    DEBUG(9, ("timeout for tgt child [%d] reached.\n", state->child->pid));
+    DEBUG(9, "timeout for tgt child [%d] reached.\n", state->child->pid);
 
     ret = kill(state->child->pid, SIGKILL);
     if (ret == -1) {
-        DEBUG(1, ("kill failed [%d][%s].\n", errno, strerror(errno)));
+        DEBUG(1, "kill failed [%d][%s].\n", errno, strerror(errno));
     }
 
     tevent_req_error(req, ETIMEDOUT);
@@ -434,13 +434,13 @@ static errno_t set_tgt_child_timeout(struct tevent_req *req,
     struct tevent_timer *te;
     struct timeval tv;
 
-    DEBUG(6, ("Setting %d seconds timeout for tgt child\n", timeout));
+    DEBUG(6, "Setting %d seconds timeout for tgt child\n", timeout);
 
     tv = tevent_timeval_current_ofs(timeout, 0);
 
     te = tevent_add_timer(ev, req, tv, get_tgt_timeout_handler, req);
     if (te == NULL) {
-        DEBUG(1, ("tevent_add_timer failed.\n"));
+        DEBUG(1, "tevent_add_timer failed.\n");
         return ENOMEM;
     }
 
@@ -458,14 +458,14 @@ int sdap_setup_child(void)
     if (debug_to_file != 0 && ldap_child_debug_fd == -1) {
         ret = open_debug_file_ex(LDAP_CHILD_LOG_FILE, &debug_filep, false);
         if (ret != EOK) {
-            DEBUG(0, ("Error setting up logging (%d) [%s]\n",
-                        ret, strerror(ret)));
+            DEBUG(0, "Error setting up logging (%d) [%s]\n",
+                        ret, strerror(ret));
             return ret;
         }
 
         ldap_child_debug_fd = fileno(debug_filep);
         if (ldap_child_debug_fd == -1) {
-            DEBUG(0, ("fileno failed [%d][%s]\n", errno, strerror(errno)));
+            DEBUG(0, "fileno failed [%d][%s]\n", errno, strerror(errno));
             ret = errno;
             return ret;
         }
diff --git a/src/providers/ldap/sdap_dyndns.c b/src/providers/ldap/sdap_dyndns.c
index bf5fb09..0246e7c 100644
--- a/src/providers/ldap/sdap_dyndns.c
+++ b/src/providers/ldap/sdap_dyndns.c
@@ -137,8 +137,8 @@ sdap_dyndns_update_send(TALLOC_CTX *mem_ctx,
     subreq = sdap_dyndns_get_addrs_send(state, state->ev, sdap_ctx, ifname);
     if (!subreq) {
         ret = EIO;
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: [%d](%s)\n",
-              ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: [%d](%s)\n",
+              ret, sss_strerror(ret));
         goto done;
     }
     tevent_req_set_callback(subreq, sdap_dyndns_update_addrs_done, req);
@@ -164,7 +164,7 @@ sdap_dyndns_update_addrs_done(struct tevent_req *subreq)
 
     ret = sdap_dyndns_get_addrs_recv(subreq, state, &state->addresses);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Can't get addresses for DNS update\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Can't get addresses for DNS update\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -176,7 +176,7 @@ sdap_dyndns_update_addrs_done(struct tevent_req *subreq)
         subreq = nsupdate_get_addrs_send(state, state->ev,
                                          state->be_res, state->hostname);
         if (subreq == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Can't initiate address check\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Can't initiate address check\n");
             tevent_req_error(req, ret);
             return;
         }
@@ -208,8 +208,8 @@ sdap_dyndns_dns_addrs_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not receive list of current addresses [%d]: %s\n",
-              ret, sss_strerror(ret)));
+              "Could not receive list of current addresses [%d]: %s\n",
+              ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -217,28 +217,28 @@ sdap_dyndns_dns_addrs_done(struct tevent_req *subreq)
     if (state->check_diff) {
         ret = sdap_dyndns_addrs_diff(state, &do_update);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Could not check the diff between DNS "
-                  "and current addresses [%d]: %s\n", ret, strerror(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "Could not check the diff between DNS "
+                  "and current addresses [%d]: %s\n", ret, strerror(ret));
             tevent_req_error(req, ret);
             return;
         }
 
         if (do_update == false) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("No DNS update needed, addresses did not change\n"));
+                  "No DNS update needed, addresses did not change\n");
             tevent_req_done(req);
             return;
         }
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Detected IP addresses change, will perform an update\n"));
+              "Detected IP addresses change, will perform an update\n");
     }
 
     /* Either we needed the addresses for updating PTR records only or
      * the addresses have changed (or both) */
     ret = sdap_dyndns_update_step(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not start the update [%d]: %s\n",
-              ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not start the update [%d]: %s\n",
+              ret, sss_strerror(ret));
         tevent_req_error(req, ret);
     }
     return;
@@ -257,8 +257,8 @@ sdap_dyndns_addrs_diff(struct sdap_dyndns_update_state *state, bool *_do_update)
                                           state->dns_addrlist, &str_dnslist);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-               ("Converting DNS IP addresses to strings failed: [%d]: %s\n",
-               ret, sss_strerror(ret)));
+               "Converting DNS IP addresses to strings failed: [%d]: %s\n",
+               ret, sss_strerror(ret));
         return ret;
     }
 
@@ -266,8 +266,8 @@ sdap_dyndns_addrs_diff(struct sdap_dyndns_update_state *state, bool *_do_update)
                                           state->addresses, &str_local_list);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-               ("Converting local IP addresses to strings failed: [%d]: %s\n",
-               ret, sss_strerror(ret)));
+               "Converting local IP addresses to strings failed: [%d]: %s\n",
+               ret, sss_strerror(ret));
         return ret;
     }
 
@@ -276,14 +276,14 @@ sdap_dyndns_addrs_diff(struct sdap_dyndns_update_state *state, bool *_do_update)
                             &dns_only, &local_only, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("diff_string_lists failed: [%d]: %s\n", ret, sss_strerror(ret)));
+              "diff_string_lists failed: [%d]: %s\n", ret, sss_strerror(ret));
         return ret;
     }
 
     if (dns_only) {
         for (i=0; dns_only[i]; i++) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                  ("Address in DNS only: %s\n", dns_only[i]));
+                  "Address in DNS only: %s\n", dns_only[i]);
             do_update = true;
         }
     }
@@ -291,7 +291,7 @@ sdap_dyndns_addrs_diff(struct sdap_dyndns_update_state *state, bool *_do_update)
     if (local_only) {
         for (i=0; local_only[i]; i++) {
             DEBUG(SSSDBG_TRACE_LIBS,
-                  ("Address on localhost only: %s\n", local_only[i]));
+                  "Address on localhost only: %s\n", local_only[i]);
             do_update = true;
         }
     }
@@ -322,7 +322,7 @@ sdap_dyndns_update_step(struct tevent_req *req)
                                      state->addresses, state->dns_addrlist,
                                      &state->update_msg);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Can't get addresses for DNS update\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Can't get addresses for DNS update\n");
         return ret;
     }
 
@@ -358,7 +358,7 @@ sdap_dyndns_update_done(struct tevent_req *subreq)
             WIFEXITED(child_status) && WEXITSTATUS(child_status) != 0) {
             state->use_server_with_nsupdate = true;
             DEBUG(SSSDBG_MINOR_FAILURE,
-                   ("nsupdate failed, retrying with server name\n"));
+                   "nsupdate failed, retrying with server name\n");
             ret = sdap_dyndns_update_step(req);
             if (ret == EOK) {
                 return;
@@ -370,7 +370,7 @@ sdap_dyndns_update_done(struct tevent_req *subreq)
     }
 
     if (state->update_ptr == false) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No PTR update requested, done\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No PTR update requested, done\n");
         tevent_req_done(req);
         return;
     }
@@ -406,7 +406,7 @@ sdap_dyndns_update_ptr_step(struct tevent_req *req)
                                      state->addresses, state->dns_addrlist,
                                      &state->update_msg);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Can't get addresses for DNS update\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Can't get addresses for DNS update\n");
         return ret;
     }
 
@@ -442,7 +442,7 @@ sdap_dyndns_update_ptr_done(struct tevent_req *subreq)
             WIFEXITED(child_status) && WEXITSTATUS(child_status) != 0) {
             state->use_server_with_nsupdate = true;
             DEBUG(SSSDBG_MINOR_FAILURE,
-                   ("nsupdate failed, retrying with server name\n"));
+                   "nsupdate failed, retrying with server name\n");
             ret = sdap_dyndns_update_ptr_step(req);
             if (ret == EOK) {
                 return;
@@ -494,7 +494,7 @@ sdap_dyndns_get_addrs_send(TALLOC_CTX *mem_ctx,
         ret = sss_iface_addr_list_get(state, iface, &state->addresses);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Cannot get list of addresses from interface %s\n", iface));
+                  "Cannot get list of addresses from interface %s\n", iface);
         }
         /* We're done. Just fake an async request completion */
         goto done;
@@ -504,15 +504,15 @@ sdap_dyndns_get_addrs_send(TALLOC_CTX *mem_ctx,
     state->sdap_op = sdap_id_op_create(state, sdap_ctx->conn->conn_cache);
     if (!state->sdap_op) {
         ret = ENOMEM;
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         goto done;
     }
 
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (!subreq) {
         ret = EIO;
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: [%d](%s)\n",
-              ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: [%d](%s)\n",
+              ret, sss_strerror(ret));
         goto done;
     }
     tevent_req_set_callback(subreq, sdap_dyndns_get_addrs_done, req);
@@ -546,13 +546,13 @@ sdap_dyndns_get_addrs_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         if (dp_error == DP_ERR_OFFLINE) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("No LDAP server is available, "
-                  "dynamic DNS update is skipped in offline mode.\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "No LDAP server is available, "
+                  "dynamic DNS update is skipped in offline mode.\n");
             ret = ERR_DYNDNS_OFFLINE;
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to connect to LDAP server: [%d](%s)\n",
-                  ret, sss_strerror(ret)));
+                  "Failed to connect to LDAP server: [%d](%s)\n",
+                  ret, sss_strerror(ret));
         }
         tevent_req_error(req, ret);
         return;
@@ -560,7 +560,7 @@ sdap_dyndns_get_addrs_done(struct tevent_req *subreq)
 
     ret = sdap_dyndns_add_ldap_conn(state, sdap_id_op_handle(state->sdap_op));
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Can't get addresses from LDAP connection\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Can't get addresses from LDAP connection\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -593,7 +593,7 @@ sdap_dyndns_add_ldap_conn(struct sdap_dyndns_get_addrs_state *state,
     ret = getsockname(fd, (struct sockaddr *) &ss, &ss_len);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to get socket name\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to get socket name\n");
         return ret;
     }
 
@@ -607,7 +607,7 @@ sdap_dyndns_add_ldap_conn(struct sdap_dyndns_get_addrs_state *state,
         break;
     default:
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Connection to LDAP is neither IPv4 nor IPv6\n"));
+              "Connection to LDAP is neither IPv4 nor IPv6\n");
         return EIO;
     }
 
@@ -667,15 +667,15 @@ sdap_dyndns_timer_conn_send(TALLOC_CTX *mem_ctx,
     /* Make sure to have a valid LDAP connection */
     state->sdap_op = sdap_id_op_create(state, state->sdap_ctx->conn->conn_cache);
     if (state->sdap_op == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
 
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: [%d](%s)\n",
-              ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: [%d](%s)\n",
+              ret, sss_strerror(ret));
         ret = ENOMEM;
         goto fail;
     }
@@ -707,14 +707,14 @@ sdap_dyndns_timer_conn_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         if (dp_error == DP_ERR_OFFLINE) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("No server is available, "
-                  "dynamic DNS update is skipped in offline mode.\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "No server is available, "
+                  "dynamic DNS update is skipped in offline mode.\n");
             /* Another timer will be scheduled when provider goes online */
             tevent_req_error(req, ERR_DYNDNS_OFFLINE);
         } else {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to connect to LDAP server: [%d](%s)\n",
-                  ret, sss_strerror(ret)));
+                  "Failed to connect to LDAP server: [%d](%s)\n",
+                  ret, sss_strerror(ret));
 
             /* Just schedule another dyndns retry */
             be_nsupdate_timer_schedule(state->ev, state->dyndns_ctx);
diff --git a/src/providers/ldap/sdap_fd_events.c b/src/providers/ldap/sdap_fd_events.c
index 5e4ea79..fc01d78 100644
--- a/src/providers/ldap/sdap_fd_events.c
+++ b/src/providers/ldap/sdap_fd_events.c
@@ -39,7 +39,7 @@ int get_fd_from_ldap(LDAP *ldap, int *fd)
 
     ret = ldap_get_option(ldap, LDAP_OPT_DESC, fd);
     if (ret != LDAP_OPT_SUCCESS || *fd < 0) {
-        DEBUG(1, ("Failed to get fd from ldap!!\n"));
+        DEBUG(1, "Failed to get fd from ldap!!\n");
         *fd = -1;
         return EIO;
     }
@@ -74,9 +74,9 @@ static int remove_connection_callback(TALLOC_CTX *mem_ctx)
 
     lret = ldap_get_option(cb_data->sh->ldap, LDAP_OPT_CONNECT_CB, conncb);
     if (lret != LDAP_OPT_SUCCESS) {
-        DEBUG(1, ("Failed to remove connection callback.\n"));
+        DEBUG(1, "Failed to remove connection callback.\n");
     } else {
-        DEBUG(9, ("Successfully removed connection callback.\n"));
+        DEBUG(9, "Successfully removed connection callback.\n");
     }
     return EOK;
 }
@@ -93,27 +93,27 @@ static int sdap_ldap_connect_callback_add(LDAP *ld, Sockbuf *sb,
                                                    struct ldap_cb_data);
 
     if (cb_data == NULL) {
-        DEBUG(1, ("sdap_ldap_connect_callback_add called without "
-                  "callback data.\n"));
+        DEBUG(1, "sdap_ldap_connect_callback_add called without "
+                  "callback data.\n");
         return EINVAL;
     }
 
     ret = ber_sockbuf_ctrl(sb, LBER_SB_OPT_GET_FD, &ber_fd);
     if (ret == -1) {
-        DEBUG(1, ("ber_sockbuf_ctrl failed.\n"));
+        DEBUG(1, "ber_sockbuf_ctrl failed.\n");
         return EINVAL;
     }
 
     if (DEBUG_IS_SET(SSSDBG_TRACE_LIBS)) {
         char *uri = ldap_url_desc2str(srv);
-        DEBUG(7, ("New LDAP connection to [%s] with fd [%d].\n",
-                  uri, ber_fd));
+        DEBUG(7, "New LDAP connection to [%s] with fd [%d].\n",
+                  uri, ber_fd);
         free(uri);
     }
 
     fd_event_item = talloc_zero(cb_data, struct fd_event_item);
     if (fd_event_item == NULL) {
-        DEBUG(1, ("talloc failed.\n"));
+        DEBUG(1, "talloc failed.\n");
         return ENOMEM;
     }
 
@@ -121,7 +121,7 @@ static int sdap_ldap_connect_callback_add(LDAP *ld, Sockbuf *sb,
                                        TEVENT_FD_READ, sdap_ldap_result,
                                        cb_data->sh);
     if (fd_event_item->fde == NULL) {
-        DEBUG(1, ("tevent_add_fd failed.\n"));
+        DEBUG(1, "tevent_add_fd failed.\n");
         talloc_free(fd_event_item);
         return ENOMEM;
     }
@@ -147,10 +147,10 @@ static void sdap_ldap_connect_callback_del(LDAP *ld, Sockbuf *sb,
 
     ret = ber_sockbuf_ctrl(sb, LBER_SB_OPT_GET_FD, &ber_fd);
     if (ret == -1) {
-        DEBUG(1, ("ber_sockbuf_ctrl failed.\n"));
+        DEBUG(1, "ber_sockbuf_ctrl failed.\n");
         return;
     }
-    DEBUG(9, ("Closing LDAP connection with fd [%d].\n", ber_fd));
+    DEBUG(9, "Closing LDAP connection with fd [%d].\n", ber_fd);
 
     DLIST_FOR_EACH(fd_event_item, cb_data->fd_list) {
         if (fd_event_item->fd == ber_fd) {
@@ -158,7 +158,7 @@ static void sdap_ldap_connect_callback_del(LDAP *ld, Sockbuf *sb,
         }
     }
     if (fd_event_item == NULL) {
-        DEBUG(1, ("No event for fd [%d] found.\n", ber_fd));
+        DEBUG(1, "No event for fd [%d] found.\n", ber_fd);
         return;
     }
 
@@ -177,14 +177,14 @@ static int sdap_install_ldap_callbacks(struct sdap_handle *sh,
     int ret;
 
     if (sh->sdap_fd_events) {
-        DEBUG(1, ("sdap_install_ldap_callbacks is called with already "
-                  "initialized sdap_fd_events.\n"));
+        DEBUG(1, "sdap_install_ldap_callbacks is called with already "
+                  "initialized sdap_fd_events.\n");
         return EINVAL;
     }
 
     sh->sdap_fd_events = talloc_zero(sh, struct sdap_fd_events);
     if (!sh->sdap_fd_events) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
@@ -199,9 +199,9 @@ static int sdap_install_ldap_callbacks(struct sdap_handle *sh,
         return ENOMEM;
     }
 
-    DEBUG(8, ("Trace: sh[%p], connected[%d], ops[%p], fde[%p], ldap[%p]\n",
+    DEBUG(8, "Trace: sh[%p], connected[%d], ops[%p], fde[%p], ldap[%p]\n",
               sh, (int)sh->connected, sh->ops, sh->sdap_fd_events->fde,
-              sh->ldap));
+              sh->ldap);
 
     return EOK;
 }
@@ -218,7 +218,7 @@ errno_t setup_ldap_connection_callbacks(struct sdap_handle *sh,
 
     sh->sdap_fd_events = talloc_zero(sh, struct sdap_fd_events);
     if (sh->sdap_fd_events == NULL) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -226,14 +226,14 @@ errno_t setup_ldap_connection_callbacks(struct sdap_handle *sh,
     sh->sdap_fd_events->conncb = talloc_zero(sh->sdap_fd_events,
                                              struct ldap_conncb);
     if (sh->sdap_fd_events->conncb == NULL) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         ret = ENOMEM;
         goto fail;
     }
 
     cb_data = talloc_zero(sh->sdap_fd_events->conncb, struct ldap_cb_data);
     if (cb_data == NULL) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -247,7 +247,7 @@ errno_t setup_ldap_connection_callbacks(struct sdap_handle *sh,
     ret = ldap_set_option(sh->ldap, LDAP_OPT_CONNECT_CB,
                           sh->sdap_fd_events->conncb);
     if (ret != LDAP_OPT_SUCCESS) {
-        DEBUG(1, ("Failed to set connection callback\n"));
+        DEBUG(1, "Failed to set connection callback\n");
         ret = EFAULT;
         goto fail;
     }
@@ -261,7 +261,7 @@ fail:
     talloc_zfree(sh->sdap_fd_events);
     return ret;
 #else
-    DEBUG(9, ("LDAP connection callbacks are not supported.\n"));
+    DEBUG(9, "LDAP connection callbacks are not supported.\n");
     return EOK;
 #endif
 }
@@ -288,13 +288,13 @@ errno_t sdap_call_conn_cb(const char *uri,int fd, struct sdap_handle *sh)
 
     sb = ber_sockbuf_alloc();
     if (sb == NULL) {
-        DEBUG(1, ("ber_sockbuf_alloc failed.\n"));
+        DEBUG(1, "ber_sockbuf_alloc failed.\n");
         return ENOMEM;
     }
 
     ret = ber_sockbuf_ctrl(sb, LBER_SB_OPT_SET_FD, &fd);
     if (ret != 1) {
-        DEBUG(1, ("ber_sockbuf_ctrl failed.\n"));
+        DEBUG(1, "ber_sockbuf_ctrl failed.\n");
         return EFAULT;
     }
 
@@ -302,8 +302,8 @@ errno_t sdap_call_conn_cb(const char *uri,int fd, struct sdap_handle *sh)
     if (ret != 0) {
         ber_sockbuf_free(sb);
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("ldap_url_parse failed to validate [%s] on fd [%d].\n",
-               uri, fd));
+              "ldap_url_parse failed to validate [%s] on fd [%d].\n",
+               uri, fd);
         return EFAULT;
     }
 
@@ -314,7 +314,7 @@ errno_t sdap_call_conn_cb(const char *uri,int fd, struct sdap_handle *sh)
     ber_sockbuf_free(sb);
     return ret;
 #else
-    DEBUG(9, ("LDAP connection callbacks are not supported.\n"));
+    DEBUG(9, "LDAP connection callbacks are not supported.\n");
     return EOK;
 #endif
 }
